Bug 1414923 - OVF_STORE disks failing to be updated due to IllegalArgumentException: TLS
Summary: OVF_STORE disks failing to be updated due to IllegalArgumentException: TLS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.1
: 4.1.1
Assignee: Piotr Kliczewski
QA Contact: Avihai
URL:
Whiteboard:
: 1414805 (view as bug list)
Depends On: 1412547
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 18:28 UTC by Maor
Modified: 2017-04-21 09:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:52:23 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+


Attachments (Terms of Use)

Description Maor 2017-01-19 18:28:15 UTC
Description of problem:
A consistent exception is being thrown when OVF_STORE disk is being updated

org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: java.lang.IllegalArgumentException: TLS (Failed with error VDS_NETWORK_ERROR and code

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Set OvfUpdateIntervalInMinutes to 2 minutes so it will be easy to see the exception:
  update vdc_options set option_value = 2 where option_name = 
 'OvfUpdateIntervalInMinutes';
2. Create A VM with disk
3. Wait 2 minutes  so the OVF_STORE will be updated.

Actual results:
An exception is being thrown :

2017-01-19 18:32:31,026+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] START, UploadStreamVDSCommand(HostName = venus-vdsa.tl
v.redhat.com, UploadStreamVDSCommandParameters:{runAsync='true', hostId='ae0a04a6-6e2d-4225-a5ed-e9b2418119eb'}), log id: 1fe17dc2
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] -- executeVdsBrokerCommand, parameters:
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] ++ spUUID=00000001-0001-0001-0001-000000000311
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] ++ sdUUID=e31f5951-45e0-48ba-a111-23164f28007d
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] ++ imageGUID=fda85526-dee9-42d2-9652-a3ce83f7629e
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] ++ volUUID=dc463d2b-6b06-4bd2-9735-862aff42dd6f
2017-01-19 18:32:31,027+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] ++ size=20480
2017-01-19 18:32:31,244+02 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] Command 'UploadStreamVDSCommand(HostName = venus-vdsa.
tlv.redhat.com, UploadStreamVDSCommandParameters:{runAsync='true', hostId='ae0a04a6-6e2d-4225-a5ed-e9b2418119eb'})' execution failed: java.lang.IllegalArgumentException: TLS
2017-01-19 18:32:31,245+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.UploadStreamVDSCommand] (DefaultQuartzScheduler4) [6a5a41b] FINISH, UploadStreamVDSCommand, log id: 1fe17dc2
2017-01-19 18:32:31,246+02 ERROR [org.ovirt.engine.core.bll.storage.ovfstore.UploadStreamCommand] (DefaultQuartzScheduler4) [6a5a41b] Command 'org.ovirt.engine.core.bll.storage.ovfstore.Uplo
adStreamCommand' failed: EngineException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: java.lang.IllegalArgumentException: TLS (Failed with error VDS_NETWORK_ERROR and code

Expected results:
The OVF_STORE should be updated

Additional info:

Comment 1 Maor 2017-01-19 18:36:10 UTC
The exception will cause the OVF_STORE disks not to be synced with the VM's and Template's OVFs in the storage domain

Comment 2 Martin Perina 2017-01-20 08:54:01 UTC
*** Bug 1414805 has been marked as a duplicate of this bug. ***

Comment 3 Maor 2017-01-20 08:55:49 UTC
I've tested this now on 4.1 instead of master and it seems that there was no exceptions there, therefore reducing the severity for now.
I will re-check master again

Comment 4 Martin Perina 2017-01-20 09:06:51 UTC
(In reply to Maor from comment #3)
> I've tested this now on 4.1 instead of master and it seems that there was no
> exceptions there, therefore reducing the severity for now.
> I will re-check master again

Yes, this issue is caused by our changes on master when we switched from TLSv1 to TLSv12. But we want TLS change backport to 4.1.1, that's why we need to fix this issue asap.

Comment 5 Martin Perina 2017-01-20 09:48:54 UTC
Here's the important part of stack trace:

2017-01-20 09:38:43,338Z INFO  [org.ovirt.engine.core.bll.storage.disk.image.RetrieveImageDataCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] Running command: RetrieveImageDataCommand(Length = 20480,
 ContainerId = 00000000-0000-0000-0000-000000000000, WipeAfterDelete = false, DiskAlias = null, ImageId = 54b9595a-ec58-46ce-910c-e5ddd268e662, DestinationImageId = 00000000-0000-0000-0000-000000000000, Old
LastModifiedValue = null, VmSnapshotId = null, ImageGroupID = 57571ca9-ff30-4e12-96b4-f9211b94ffe0, ImportEntity = false, LeaveLocked = false, Description = null, StorageDomainId = 91d3f0a0-8c81-42f5-8cc3-3
d0b6eaf501d, IsInternal = false, QuotaId = null, DiskProfileId = null, VdsId = null, StoragePoolId = 00000001-0001-0001-0001-000000000311, ForceDelete = false) internal: true. Entities affected :  ID: 91d3f
0a0-8c81-42f5-8cc3-3d0b6eaf501d Type: Storage
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] START, RetrieveImageDataVDSCommand(HostName = localhost.l
ocaldomain, ImageHttpAccessVDSCommandParameters:{runAsync='true', hostId='686f9046-7438-4945-b3d7-093df0332d4b'}), log id: 490bc662
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] -- executeVdsBrokerCommand, parameters:
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] ++ spUUID=00000001-0001-0001-0001-000000000311
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] ++ sdUUID=91d3f0a0-8c81-42f5-8cc3-3d0b6eaf501d
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] ++ imageGUID=57571ca9-ff30-4e12-96b4-f9211b94ffe0
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] ++ volUUID=54b9595a-ec58-46ce-910c-e5ddd268e662
2017-01-20 09:38:43,349Z INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] ++ size=20480
2017-01-20 09:38:43,432Z DEBUG [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] Exception: java.util.concurrent.ExecutionException: java.lang.IllegalArgumentException: TLS
        at java.util.concurrent.FutureTask.report(FutureTask.java:122) [rt.jar:1.8.0_111]
        at java.util.concurrent.FutureTask.get(FutureTask.java:192) [rt.jar:1.8.0_111]
        at org.ovirt.engine.core.vdsbroker.irsbroker.HttpImageTaskVDSCommand.executeHttpMethod(HttpImageTaskVDSCommand.java:70) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.irsbroker.HttpImageTaskVDSCommand.executeVdsBrokerCommand(HttpImageTaskVDSCommand.java:44) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand.executeVDSCommand(VdsBrokerCommand.java:111) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.executeCommand(VDSCommandBase.java:73) [vdsbroker.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:33) [dal.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.DefaultVdsCommandExecutor.execute(DefaultVdsCommandExecutor.java:14) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.ResourceManager.runVdsCommand(ResourceManager.java:407) [vdsbroker.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.runVdsCommand(VDSBrokerFrontendImpl.java:33) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runVdsCommand(CommandBase.java:2158) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.StorageHandlingCommandBase.runVdsCommand(StorageHandlingCommandBase.java:672) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.disk.image.RetrieveImageDataCommand.executeVdsCommand(RetrieveImageDataCommand.java:22) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.disk.image.ImageSpmCommand.executeCommand(ImageSpmCommand.java:77) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:493) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:437) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor119.invoke(Unknown Source) [:1.8.0_111]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_111]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_111]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
        at org.jboss.weld.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:73) [weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
        at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:83) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45) [wildfly-ee-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:263) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:243) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:47) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:67) [wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:64)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
        at org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:636)
        at org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:61)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
        at org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
        at org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73)
        at org.ovirt.engine.core.bll.interfaces.BackendInternal$$$view4.runInternalAction(Unknown Source) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.8.0_111]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) [rt.jar:1.8.0_111]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_111]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_111]
        at org.jboss.weld.util.reflection.Reflections.invokeAndUnwrap(Reflections.java:433) [weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
        at org.jboss.weld.bean.proxy.EnterpriseBeanProxyMethodHandler.invoke(EnterpriseBeanProxyMethodHandler.java:128) [weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
        at org.jboss.weld.bean.proxy.EnterpriseTargetBeanInstance.invoke(EnterpriseTargetBeanInstance.java:56) [weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
        at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:100) [weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
        at org.ovirt.engine.core.bll.BackendCommandObjectsHandler$BackendInternal$BackendLocal$2049259618$Proxy$_$$_Weld$EnterpriseProxy$.runInternalAction(Unknown Source) [bll.jar:]
        at org.ovirt.engine.core.bll.hostedengine.HostedEngineConfigFetcher.downloadDisk(HostedEngineConfigFetcher.java:137) [bll.jar:]
        at org.ovirt.engine.core.bll.hostedengine.HostedEngineConfigFetcher.lambda$fetchPromise$0(HostedEngineConfigFetcher.java:77) [bll.jar:]
        at java.util.concurrent.CompletableFuture$AsyncSupply.run(CompletableFuture.java:1590) [rt.jar:1.8.0_111]
        at java.util.concurrent.CompletableFuture$AsyncSupply.exec(CompletableFuture.java:1582) [rt.jar:1.8.0_111]
        at java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.java:289) [rt.jar:1.8.0_111]
        at java.util.concurrent.ForkJoinPool$WorkQueue.runTask(ForkJoinPool.java:1056) [rt.jar:1.8.0_111]
        at java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1692) [rt.jar:1.8.0_111]
        at java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157) [rt.jar:1.8.0_111]
Caused by: java.lang.IllegalArgumentException: TLS
        at sun.security.ssl.ProtocolVersion.valueOf(ProtocolVersion.java:187) [jsse.jar:1.8.0_111]
        at sun.security.ssl.ProtocolList.convert(ProtocolList.java:84) [jsse.jar:1.8.0_111]
        at sun.security.ssl.ProtocolList.<init>(ProtocolList.java:52) [jsse.jar:1.8.0_111]
        at sun.security.ssl.SSLSocketImpl.setEnabledProtocols(SSLSocketImpl.java:2504) [jsse.jar:1.8.0_111]
        at org.ovirt.engine.core.utils.ssl.AuthSSLProtocolSocketFactory.createSocket(AuthSSLProtocolSocketFactory.java:294) [utils.jar:]
        at org.apache.commons.httpclient.HttpConnection.open(Unknown Source) [commons-httpclient.jar:3.1]
        at org.apache.commons.httpclient.MultiThreadedHttpConnectionManager$HttpConnectionAdapter.open(Unknown Source) [commons-httpclient.jar:3.1]
        at org.apache.commons.httpclient.HttpMethodDirector.executeWithRetry(Unknown Source) [commons-httpclient.jar:3.1]
        at org.apache.commons.httpclient.HttpMethodDirector.executeMethod(Unknown Source) [commons-httpclient.jar:3.1]
        at org.apache.commons.httpclient.HttpClient.executeMethod(Unknown Source) [commons-httpclient.jar:3.1]
        at org.apache.commons.httpclient.HttpClient.executeMethod(Unknown Source) [commons-httpclient.jar:3.1]
        at org.ovirt.engine.core.vdsbroker.irsbroker.HttpImageTaskVDSCommand.lambda$executeHttpMethod$0(HttpImageTaskVDSCommand.java:67) [vdsbroker.jar:]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_111]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_111]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_111]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_111]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_111]
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_111]
2017-01-20 09:38:43,446Z ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.RetrieveImageDataVDSCommand] (ForkJoinPool.commonPool-worker-0) [179a9070] Command 'RetrieveImageDataVDSCommand(HostName = localhost.localdomain, ImageHttpAccessVDSCommandParameters:{runAsync='true', hostId='686f9046-7438-4945-b3d7-093df0332d4b'})' execution failed: java.lang.IllegalArgumentException: TLS
2017-01-20 09:38:43,448Z WARN  [org.ovirt.engine.core.vdsbroker.VdsManager] (org.ovirt.thread.pool-6-thread-46) [179a9070] Host 'localhost.localdomain' is not responding.

Comment 6 Martin Perina 2017-02-13 14:25:12 UTC
Moving to MODIFIED to align with BZ1412547 status

Comment 7 Martin Perina 2017-02-16 15:41:39 UTC
Moving to ON_QA to align with BZ1412547 status

Comment 8 Avihai 2017-02-23 07:30:54 UTC
verified .

Engine:
ovirt-engine-4.1.1.2-0.1.el7.noarch

VDSM:
4.19.4-1


Note You need to log in before you can comment on or make changes to this bug.